Bug 17911 - Message and timeout mismatch at the end of the install process
Summary: Message and timeout mismatch at the end of the install process
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: M. Tompsett
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-01-16 04:25 UTC by M. Tompsett
Modified: 2017-05-10 09:31 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17911: Message and timeout mismatch (1.45 KB, patch)
2017-01-16 04:30 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 17911: Message and timeout mismatch (1.72 KB, patch)
2017-04-17 05:43 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 17911: Message and timeout mismatch (1.79 KB, patch)
2017-04-18 18:53 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2017-01-16 04:25:54 UTC
Step 3 in the installer says "If this page does not redirect in 5 seconds..." but the actual number is 10 seconds (see the second line with the meta refresh content says 10).

Solution: fix the meta refresh, because changing the message could be a translation mess.
Comment 1 M. Tompsett 2017-01-16 04:30:04 UTC
Created attachment 59000 [details] [review]
Bug 17911: Message and timeout mismatch

The installation step 3 has a meta refresh of 10 seconds,
but the message says 5 seconds. People could get impatient.

TEST PLAN
---------
1) Fresh install
   -- notice the discrepancy on the web installation.
2) drop and create the DB
3) apply the patch
4) run the web install
   -- notice it refreshes faster (5 seconds vs 10 seconds)
5) run koha qa test tools
Comment 2 Alex Buckley 2017-04-17 05:43:23 UTC
Created attachment 62195 [details] [review]
Bug 17911: Message and timeout mismatch

The installation step 3 has a meta refresh of 10 seconds,
but the message says 5 seconds. People could get impatient.

TEST PLAN
---------
1) Fresh install
   -- notice the discrepancy on the web installation.
2) drop and create the DB
3) apply the patch
4) run the web install
   -- notice it refreshes faster (5 seconds vs 10 seconds)
5) run koha qa test tools

Works as intended and passes qa test tool
 OK koha-tmpl/intranet-tmpl/prog/en/modules/installer/step3.tt
  OK    forbidden patterns
  OK     git manipulation
  OK      spelling
  OK   tt_valid
  OK    valid_template

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Comment 3 Jonathan Druart 2017-04-18 18:53:47 UTC
Created attachment 62322 [details] [review]
Bug 17911: Message and timeout mismatch

The installation step 3 has a meta refresh of 10 seconds,
but the message says 5 seconds. People could get impatient.

TEST PLAN
---------
1) Fresh install
   -- notice the discrepancy on the web installation.
2) drop and create the DB
3) apply the patch
4) run the web install
   -- notice it refreshes faster (5 seconds vs 10 seconds)
5) run koha qa test tools

Works as intended and passes qa test tool
 OK koha-tmpl/intranet-tmpl/prog/en/modules/installer/step3.tt
  OK    forbidden patterns
  OK     git manipulation
  OK      spelling
  OK   tt_valid
  OK    valid_template

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2017-04-21 11:39:29 UTC
Pushed to master for 17.05, thanks Mark!
Comment 5 Katrin Fischer 2017-04-21 22:26:04 UTC
Changing the timing instead of the message == no string change :)

This patch has been pushed to 16.11.x and will be in 16.11.07.
Comment 6 Mason James 2017-05-03 04:35:04 UTC
Pushed to 16.05.x, for 16.05.12 release
Comment 7 Julian Maurice 2017-05-10 09:31:05 UTC
Pushed to 3.22.x for 3.22.21